View Issue Details

IDProjectCategoryView StatusLast Update
0006524GNUnetpostgres librarypublic2020-11-14 09:57
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionGit master 
Target Version0.14.0Fixed in Version0.14.0 
Summary0006524: support NULL in DB
DescriptionHave a 'flag' function GNUNET_PQ_spec_nullable() that sets a 'nullable' flag in the general PQ struct and then modifies the respective functions to 'allow' SELECT to return 'NULL/0' as a value if the column is NULL. Ditto for storing NULL values into the table.

If done, modify Taler merchant code to not generate random "void://" fulfillment URL but a real 'NULL' column.
TagsNo tags attached.

Activities

Christian Grothoff

2020-10-25 22:40

manager   ~0017039

Implemented with test in d8cf5cbfc..f7c320990. TBD: make use of this in Taler.

Christian Grothoff

2020-10-25 22:49

manager   ~0017040

Benefits realized in taler merchant now. Resolving.

schanzen

2020-11-14 09:57

manager   ~0017137

0.14.0 released

Issue History

Date Modified Username Field Change
2020-08-24 14:29 Christian Grothoff New Issue
2020-08-24 14:29 Christian Grothoff Status new => assigned
2020-08-24 14:29 Christian Grothoff Assigned To => Christian Grothoff
2020-10-25 22:40 Christian Grothoff Note Added: 0017039
2020-10-25 22:49 Christian Grothoff Note Added: 0017040
2020-10-25 22:50 Christian Grothoff Status assigned => resolved
2020-10-25 22:50 Christian Grothoff Resolution open => fixed
2020-10-25 22:50 Christian Grothoff Fixed in Version => 0.13.4
2020-10-25 22:50 Christian Grothoff Target Version => 0.13.4
2020-10-28 13:06 schanzen Target Version 0.13.4 => 0.14.0
2020-10-28 14:14 schanzen Fixed in Version 0.13.4 => 0.14.0
2020-11-14 09:57 schanzen Note Added: 0017137
2020-11-14 09:57 schanzen Status resolved => closed